package cn.axzo.workflow.common.enums;

/**
 * 审批人指定的二次范围限定枚举
 *
 * @author wangli
 * @since 2025-08-13 14:32
 */
public enum ApproverSpecifyRangeEnum {

    within_the_project("within_the_project", "项目内岗位"),
    within_the_project_construction_units("within_the_project_construction_units", "项目内参建单位的企业岗位"),
    specified_org("specified_org", "审批单指定的末级组织"),
    initiator("initiator", "审批单发起人"),
    pre_node_approver("pre_node_approver", "上节点审批人"),
    ;

    private String type;
    private String desc;

    ApproverSpecifyRangeEnum(String type, String desc) {
        this.type = type;
        this.desc = desc;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }
}
